Dell Ubuntu OEM

0 häält
507 vaatamist
Tere,

Tekkis küsimus, kas Dell sülearvutitele on olemas ka Ubuntu OEM versioon. Vahepeal sai tehtud format ning proovitud 14.04 ubuntut, kuid sellega ei töödanud enamus asju, nüüd oleks hea, kui saaks uuesti esialgse ubuntu versiooni mis ostetud arvutil peal oli.
küsitud 18. sept 2014 kategoorias Ubuntu, Kubuntu jne - allanalbert (0 punkti)

1 vastus

0 häält
Üldjuhul pole neil küll mingit OEM versiooni. Üldjuhul on nad LTS versioonide peal ja seega oleks pidanud seal olema näiteks 12.04LTS. Kuid mis asjad sul ei töödanud 14.04-ga? Tavaliselt eelmise versiooniga töötanud asjad töötavad ka hiljem edasi.
avatar vastatud 18. sept 2014 - spott (11 punkti)
14.04 all ei saanud installida ati radeoni drivereid, mis olid kodukalt tõmmatud, samas 12.04 all sai. Ekraani taustavalguse reguleerimine ei töödanud ning ventikas undas veel rohkem kui 12.04 all. Ainuke, mis paremaks läks, oli aku vastupidavus.
Kui sinu videokaart on nii vana, et ametlike draiveritega ei tööta (AMD loobus paljude kaartidele toe pakkumisest) ja community draiverid kalavad, sis polegi muud teha, kui rollback teha.
Kaardiks on radeon hd 7670m, mis on täiesti ati poolt toetatud. Kõige uuemad driverid mis hetkel on radeonil, 12.04 all instaleeruvad kuid 14.04 all mitte. Minu jaoks jääb see täiesti arusaamatuks
Ise ubuntut ei kasuta, aga kas ubuntus pole mitte mingi graafline liides graafikaardi draiverite ja muu suletud koodiga tarkvara paigaldamiseks? Ehk siis leia see koht menüüst üles ja kasuta seda. Ta peaks kogu töö sinu eest ära tegema.

Sest kui tirid draiverid ati lehelt, siis lisaks kompileerimiseks mõeldud vahenditele, on vaja ka kerneli source või vähemalt headereid.

Aga miks sind senine pilt ei rahulda... pean silmas radeon draiverit, mis vaikimisi pildi ette toob. Radeon moodul on viimastel aastatel kõvasti edasi arenenud ja kuskil nägin benchmarki, kus jõuti järeldusele, et päris 1:1 fgrlx-i radeon-i jõudlusele võrdusmärki tõmmata ei saa., aga avatud koodiga draiveril on juba märkimisväärne jõudlus võrreldes ati enda draiveritega.
Põhjus oligi 14.04 all see, et taustavalguse reguleerimine ei toiminud, tahtsin seda korda saada ning ventika undamine hakkas ka ajudele.
On küll olemas, kuid seda on võimalik kasutada ainult siis, kui graafikakaart on toetatud.
mu point ongi selles, et 12.04 all toimivad täpselt samad driverid kenasti, saab installida. aga 14.04 all ei saa täpselt neid samu drivereid installida. Sellepärast tekibki küsimus, mis loogika alusel need driverid töötavad? Sest release notes all on kirjas et 14.04 ubuntu on ka supporti lisatud. Vahet ju ei ole mis versioon mul ubuntust on, ega seetõttu ju mu graafikakaardi mudel ei muutu.
Veidi on asi veel segane. Kui ütled, et taustavalgus ei tööta ja ventikas mühiseb, siis mis draiveritega? Radeon mooduliga ehk see, mis vaikimisi peal on? Sa ikka leidsid menüüst üles koha, kus saab suletud koodiga draivereid paigaldada - fglrx. See ongi amd/ati enda draiver. Sealt menüüst saabki paigaldada põhimõtteliselt sama draiveri, mis amd lehel on. Hiljem, kui kernel vahetub peaks olema mugavam... ei pea draiverit enam uuesti kompileerima ja musta ekraani vahtima :P

Aga, kui sa just nõuad amd lehelt draivereid, siis mis veateate saad kui üritad paigaldada.
Samuti uuri seda lehte: https://help.ubuntu.com/community/BinaryDriverHowto/AMD
Seda ma tean, et saab menüüst valides ka paigaldada, kuid catalyst centeri info kohta on see vanem draiver, kui see, mis kodukal on. Aga jah peamine probleem on see, et taustavalgust ei saa reguleerida ja ventikas vuhiseb.
Ok. Aga mis juhtub, kui käivitad amd-driver-installer-14.10.1006.1001-x86.x86_64.run faili (eeldusel, et kasutad 64-bitist süsteemi). See tuleb sealt zip failist.

sudo ./amd-driver-installer-14.10.1006.1001-x86.x86_64.run
õiges kataloogis.
Sul peab olema paigaldatud gcc, kerneli headerid ja source pakihalduri kaudu. Ütlen veelkord, et peale kerneli uuendust pead tõenäoliselt draiveri uuesti kompileerima. Sellepärast olekski kasulik kasutada seda menüü varianti. Aga manuaalselt paigaldades saad vähemalt teada, kas taustavalgus töötab ja kas vent võtab pöördeid veidi maha.
Seda varianti proovisin. Ütles et this graphics are not supported. Minu jaoks jäi see täiesti arusaamatuks. Sama driver aga uuem OS
Kui pole toetatud, siis pole toetatud. See, et ta 12.04 all töötas võis olla tingitud sellest, et draiveri enda versioon oli varasem. AMD/ATI on tuntud selle poolest, et vähegi vanemate kaartide tugi visatakse viimasest draiverist välja.

Mida siis soovitada...
Mina prooviksin ikka radeon moodulit ehk kõik fglrx-ga seonduv maha ja siis kõik pakutavad uuendused peale. Rebuut. Vaata ka
https://help.ubuntu.com/community/RadeonDriver#Kernel_3.11.x_.28Ubuntu_13.10.2BAC8-Saucy.29_and_Later

Ehk muuda /etc/default/grub faili ja lisa
radeon.dpm=1
GRUB_CMDLINE_LINUX_DEFAULT reale nii, et ta näeks välja nii:
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash radeon.dpm=1"
Pead tegema seda juurkasutaja õigustes. Lõpuks veel:
sudo update-grub

Võibolla aitab.

LISA:
Oot. Kirjutasid, et "Sama driver aga uuem OS". Oled selles kindel? Proovisid  12.04-le viimast draiverit? Siis ei oksa küll öelda, miks ta 14.04 peal ei tööta, aga soovitus radeoni mooduli kohta kehtib.
Just. Sama driver kuid uuem OS, ja ei tööta. Minu jaoks on see täielik hämming. Aga ma proovin su pakutud varianti, ehk see aitab mul põhilisest probleemist vabaneda. Tänud!
...